Skip to content

LIST OF ETF Holdings

Request

Get holdings for an ETF.

Request body:

ParameterValueDescription
symbol"532985.BO"ETF symbol
Headers
clientIdstringrequired

B2B UAT client ID. Sent as a request header (not Redocly Auth).

Default:"AX6kFk5ywERyXobt"
Example:AX6kFk5ywERyXobt
timestring^\d{14}$required

UTC timestamp yyyyMMddHHmmss used to compute token.

Default:"20260831110225"
Example:20260831110225
tokenstringrequired

Base64(SHA512(secretKey + time + jsonBody)). Must match this operation's request body.

Default:"H/UHDT4oLrxIjSq/IYc8hgqJCl4phnEwsK2WwJy+UIXOwrRy8zwTXCJdL+3E5MiXQj6tXRbond9LvZklVccunw=="
Example:H/UHDT4oLrxIjSq/IYc8hgqJCl4phnEwsK2WwJy+UIXOwrRy8zwTXCJdL+3E5MiXQj6tXRbond9LvZklVccunw==
Bodyapplication/jsonrequired
symbolstringrequired

ETF symbol

curl --location 'https://b2b.musaffa.us/b2b/api/demo/musaffa/etf/holdings' \
--header 'Content-Type: application/json' \
--header 'clientId: AX6kFk5ywERyXobt' \
--header 'time: 20260831110225' \
--header 'token: H/UHDT4oLrxIjSq/IYc8hgqJCl4phnEwsK2WwJy+UIXOwrRy8zwTXCJdL+3E5MiXQj6tXRbond9LvZklVccunw==' \
--data '{
    "symbol":"532985.BO"
}'

Responses

Dynamic holdings list for the requested ETF

Bodyapplication/json
Array [
symbolstring
namestring
isinstring
weightnumber
marketstring
shariahComplianceStatusstring(ComplianceStatus)

Shariah-compliance status

complianceRankingnumber
]
Response
[ { "symbol": "string", "name": "string", "isin": "string", "weight": 0, "market": "string", "shariahComplianceStatus": "string", "complianceRanking": 0 } ]